osgVolume::TransparencyProperty Class Reference

`#include <Property>`

Inheritance diagram for osgVolume::TransparencyProperty:

## Public Member Functions

| TransparencyProperty (float value=1.0f)
| TransparencyProperty (const TransparencyProperty &isp, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgVolume, TransparencyProperty)
virtual void | accept (PropertyVisitor &pv)
Public Member Functions inherited from osgVolume::ScalarProperty
| ScalarProperty (const std::string &scaleName, float value)
| ScalarProperty (const ScalarProperty &scalarProperty, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgVolume, ScalarProperty)
virtual void | setValue (float v)
float | getValue () const
osg::Uniform * | getUniform ()
const osg::Uniform * | getUniform () const
Public Member Functions inherited from osgVolume::Property
| Property ()
| Property (const Property &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgVolume, Property)
void | dirty ()
void | setModifiedCount (unsigned int c)
unsigned int | getModifiedCount () const
virtual void | traverse (PropertyVisitor &)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~TransparencyProperty ()
Protected Member Functions inherited from osgVolume::ScalarProperty
virtual | ~ScalarProperty ()
| ScalarProperty ()
Protected Member Functions inherited from osgVolume::Property
virtual | ~Property ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osgVolume::ScalarProperty
osg::ref_ptr< osg::Uniform > | _uniform
Protected Attributes inherited from osgVolume::Property
unsigned int | _modifiedCount
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## TransparencyProperty() [1/2]

osgVolume::TransparencyProperty::TransparencyProperty | ( | float | value = 1.0f | ) |

Referenced by META_Object(), and TransparencyProperty().

## TransparencyProperty() [2/2]

osgVolume::TransparencyProperty::TransparencyProperty | ( | const TransparencyProperty & | isp,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY, and TransparencyProperty().

## ~TransparencyProperty()

virtual osgVolume::TransparencyProperty::~TransparencyProperty | ( |  | ) |

inline protected virtual

## Member Function Documentation

## accept()

virtual void osgVolume::TransparencyProperty::accept | ( | PropertyVisitor & | pv | ) |

inline virtual

Reimplemented from osgVolume::ScalarProperty.

References osgVolume::PropertyVisitor::apply().

## META_Object()

osgVolume::TransparencyProperty::META_Object | ( | osgVolume | ,
|  | TransparencyProperty | )

References TransparencyProperty().

The documentation for this class was generated from the following file:

- Property